package be.ac.umons.ProjetInfo.BAC1.CharlierDucruet.game;
import be.ac.umons.ProjetInfo.BAC1.CharlierDucruet.listener.*;
import be.ac.umons.ProjetInfo.BAC1.CharlierDucruet.geom.*;
import be.ac.umons.ProjetInfo.BAC1.CharlierDucruet.gui.*;
import be.ac.umons.ProjetInfo.BAC1.CharlierDucruet.*;

import java.awt.Graphics;
import java.awt.Color;
import java.awt.Font;
import java.awt.geom.AffineTransform;
import java.awt.Image;
import java.awt.Graphics2D;
import java.util.Formatter;
import java.awt.geom.Point2D;
public class PlayTime implements IDrawable
{
    private static double time; // temps de jeu en milliseconde
    
    public PlayTime()
    {
        time = 0;
    }

    public void draw(Graphics g)
    {
        int fontSize = (int) ( 20 * Config.getFrameRate());
        g.setFont(new Font("Verdanna", Font.PLAIN, fontSize));
        g.setColor(Color.white);
        Graphics2D g2d = (Graphics2D) g;
        // On place la texte à 50, 50 du bord
        Point2D.Double pCorner = new Point2D.Double(50, 50); 
        g2d.drawString(this.toString(), (int) (pCorner.getX() * Config.getFrameRate()), (int) (pCorner.getY() * Config.getFrameRate()));
    }
    
    /**
    * @return le temps de la partie.
    */    
    public static double getTime()
    {
        return time;
    }
    
    /**
     * @param t un double
     */
    public void setTime(double t)
    {
        time = t;
    }
    
    /**
    * Incremente le temps.
    */
    public void increase(double t)
    {
        time += t;
    }
    
    /**
    * @return le temps en minutes:secondes.
    */
    public String toString()
    {
        int heure =  (int) (time / (1000 * 60 * 60)) % 60;
        int minute =  (int) (time / (1000 * 60)) % 60;
        int seconde =  (int) (time / 1000) % 60;
        String output = ""; //le valeur de output du toString
        if (heure > 0)
            output += heure + ":";
        if (minute < 10)
            output += "0" + minute;
        else
            output += minute;
        output += ":";
        if (seconde < 10)
            output += "0" + seconde;
        else
            output += seconde;
        return output;
    }
}